
const ИМЯ = "UIK";


// // // //


ЗапуститьПример = function(мир)
{
    мир.уведомить("пуск примера");
};



// // // //


ЗагрузитьПример = function(мир)
{
    console.debug("загрузить пример");
    var модуль = мир.модули.модульПоИмени(ИМЯ);
    var составляющие = [
        "/пример|sample",
    ];
    for (var номер in составляющие)
    {
        var составляющая = составляющие[номер];
        модуль.исполнитьФайл(`${составляющая}.js`);
        модуль.исполнитьЧереду(мир, `${составляющая}.череда`);
    }
};


// // // //


ЗагрузитьБиблиотекиПримера = function(мир)
{
    var указатели = [
        "https://bitbucket.org/gitjs/jquery/raw/3.5.1/0000",
        "https://bitbucket.org/gitjs/uikit/raw/3.2.0/0000",
    ];

    var сообщение = "Загрузка библиотек | Loading libraries";
    console.debug(сообщение, указатели);

    var html = "";
    for (var номер in указатели)
    {
        var указатель = указатели[номер];
        html += `<li>${указатель}</li>`;
    }
    document.body.innerHTML += `<p>${сообщение}</p><ul>${html}</ul>`;

    мир.модули.использовали.подписатьРаз(function() {
        мир.уведомить("ручной пуск");
        мир.уведомить("загрузили библиотеки примера");
    });

    мир.модули.использовать(указатели);
};


// ОСНОВА. Переместить в отдельный всегда исполняемый файл

// // // //


ОчиститьМакетUIKОтЗаглушек = мир =>
{
    $(`#${мир.макет.константы.заголовокЛево}`).text("");
    $(`#${мир.макет.константы.заголовокПраво}`).text("");
    $(`#${мир.макет.константы.меню}`).text("");
    $(`#${мир.макет.константы.содержимое}`).text("");
};


// // // //


УстановитьМакетUIK = мир =>
{
    document.body.innerHTML = мир.макет.структура;

    var вид = document.createElement("style");
    document.head.appendChild(вид);
    вид.innerHTML = мир.макет.вид;
};


// // // //


НастроитьМакетUIK = мир =>
{
    var название = "пример";
    var html = мир.макет.структура;
    var css = мир.макет.вид;
    
    // Вырезаем тело из макета.
    var начало = html.indexOf("<!-- МАКЕТ_НАЧАЛО -->");
    var конец = html.indexOf("<!-- МАКЕТ_КОНЕЦ -->");
    html = html.substring(начало, конец);

    мир.макет.константы = {
        "заголовокЛево": `${название}-заголовокЛево`,
        "заголовокПраво": `${название}-заголовокПраво`,
        "меню": `${название}-меню`,
        "содержимое": `${название}-содержимое`,
    };
    // Заменяем константы в макете.
    for (var константа in мир.макет.константы)
    {
        var старое = "${" + константа + "}";
        var новое = мир.макет.константы[константа];
        html = html.replace(старое, новое);
        css = css.replace(старое, новое);
    }
    
    мир.макет.структура = html;
    мир.макет.вид = css;
};


// // // //


ЗагрузитьМакетUIK = мир =>
{
    var м = мир.модули.модульПоИмени(ИМЯ);
    мир.макет = {
        "структура": м.содержимое["/макет|template.html"],
        "вид": м.содержимое["/макет|template.css"],
    };    
};

