

const ИМЯ = "UIK";


// // // //


ВыбратьПервыйПунктМенюДокументации = мир =>
{
    мир.номерВыбранногоПунктаДокументации = 0;
    мир.уведомить("выбрали пункт меню документации");
};


// // // //


ОтобразитьСодержимоеВыбранногоПунктаМенюДокументации = мир =>
{
    $(`#${мир.макет.константы.содержимое}`).html(`<h1>Выбрали пункт меню #${мир.номерВыбранногоПунктаДокументации}</h1>`);
};


// // // //


ОтобразитьВыборПунктаМенюДокументации = мир =>
{
    const id = мир.макет.константы.документация;
    // Очищаем прошлый выбор.
    for (var номер in мир.пунктыДокументации)
    {
        $(`#${id}-${номер}`).removeClass("uk-active");
    }
    
    // Задаём новый выбор.
    $(`#${id}-${мир.номерВыбранногоПунктаДокументации}`).addClass("uk-active");
};


// // // //


ОтслеживатьВыборПунктаМенюДокументации = мир =>
{
    for (var номер in мир.пунктыДокументации)
    {
        const номерПункта = номер;
        const id = `${мир.макет.константы.документация}-${номер}-ссылка`;
        $(`#${id}`).click(function() {
            мир.номерВыбранногоПунктаДокументации = номерПункта;
            мир.уведомить("выбрали пункт меню документации");
        });
    }
};


// // // //


СоздатьРазделМенюДокументации = мир =>
{
    мир.макет.константы.документация = "документация";
    
    var содержимое = "";
    for (var номер in мир.пунктыДокументации)
    {
        var название = мир.пунктыДокументации[номер];
        var id = `${мир.макет.константы.документация}-${номер}`;
        var пункт = мир.макет.элементы.пунктМеню
            .replace("%название%", название)
            .replace(/%id%/g, id)
            ;
        содержимое += пункт;
    }
    
    var раздел = мир.макет.элементы.разделМеню
        .replace("%название%", мир.макет.константы.документация)
        .replace("%содержимое%", содержимое)
        ;
    
    $(`#${мир.макет.константы.меню}`).append(раздел);
};


// // // //


ЗадатьПунктыРазделаМенюДокументации = мир =>
{
    мир.пунктыДокументации = [
        "Описание",
        "Ещё что-то",
    ];
};


// // // //


ЗадатьЗаголовок = мир =>
{
    $(`#${мир.макет.константы.заголовокЛево}`).html(`
<span class="uk-navbar-item uk-logo">UIK</span>
    `);
};


// // // //


ЗадатьЭлементыМакета = мир =>
{
    мир.макет.элементы = {
        
        "разделМеню": `
<ul class="uk-nav uk-nav-default tm-nav">
    <li class="uk-nav-header">%название%</li>
    %содержимое%
</ul>
`,
        "пунктМеню": `
<li id="%id%"><a id="%id%-ссылка">%название%</a></li>
`,

    };
}


// // // //


ВывестиПриветствиеОтUIK = мир =>
{
    console.debug("Привет от UIK");
};

